Bug 469695 - Virtualization Guide, section 29.6. not self-consistent
Virtualization Guide, section 29.6. not self-consistent
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Documentation (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Christopher Curran
Content Services Development
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 10:54 EST by Patrick C. F. Ernzer
Modified: 2009-08-19 23:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-23 00:12:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2008-11-03 10:54:21 EST
Description of problem:
in section 29.6. of the Virtualization Guide we're not really making sense.


Version-Release number of selected component (if applicable):
Revision 5.2-10

How reproducible:
always

Steps to Reproduce:
1. try to find out how to set up serial output for dom0
2. RTFM
  
Actual results:
confusion, the text in the box does not match the least the description below it.

Expected results:
  - clear explanation of the options needed for serial in dom0
  - clear explanation of the options needed for serial in domU

Additional info:
for dom0 serial it seems
the following is right (obviously replace BANANA and SOMETHING)
title BANANA
        root (hd0,0)
        kernel /xen.gz-SOMETHING com1=57600,8n1
        module /vmlinuz-SOMETHING ro root=LABEL=/ console=ttyS0,57600
        module /initrd-SOMETHING.img
Comment 2 Christopher Curran 2008-11-04 01:30:18 EST
This bug may already be resolved by bz 432235

Refer to the latest version of the Virtualization Guide to confirm the change.
http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.2/html/Virtualization/
Comment 3 Patrick C. F. Ernzer 2008-11-04 07:12:36 EST
(In reply to comment #2)
> This bug may already be resolved by bz 432235

While that covers many sections, 29.6 does not seem covered by that bug

> Refer to the latest version of the Virtualization Guide to confirm the change.
> http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.2/html/Virtualization/

That still looks wrong, maybe better if it uses the text Chris wrote up for 19.5 in Bug 432235 comment #4
Comment 4 Chris Lalancette 2008-11-04 07:28:29 EST
Chris C,
     I'm actually confused now; I'm not sure what the relationship between the link I read for BZ 432235 (http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/Virtualization-en-US/ch-virt-serialconsole-errors.html) and the RHEL virtualization guide in this BZ (http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.2/html/Virtualization/) is.  In any case, in the virtualization guide section that this BZ talks about, we can use the same writeup I did for 432235 to fix it up; just look at Comment #4 over there, and use that text to replace 29.6, 29.7, 29.8 in *this* guide.

Chris Lalancette
Comment 5 Christopher Curran 2009-01-19 01:25:18 EST
Worked through my backlog. This bug wasn't actually assigned to me but it should be.

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5/html/Virtualization/sect-Virtualization-How_To_troubleshoot_Red_Hat_Virtualization-Troubleshooting_with_serial_consoles.html

This bug should be fixed now. A bit of an issue with linking it seems.

Note You need to log in before you can comment on or make changes to this bug.